Name:           auriferous
Version:        1.0.1
Release:        10%{?dist}
Summary:        Game inspired by the classic Loderunner
Group:          Amusements/Games
License:        GPLv2+
URL:            http://auriferous.sourceforge.net/
# This is http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2
# With the nonfree auriferous/music/jungle.ogg song removed
Source0:        %{name}-%{version}-clean.tar.bz2
# Same as in the tarbal with one additional column of transparant pixels added
# to the right, the original is one column to small causing memory corruption
# (clanlib really should complain, but instead it accesses random memory).
Source1:        playerr.png
Source2:        auriferous.desktop
Patch0:         auriferous-1.0.1-fixes.patch
Patch1:         auriferous-1.0.1-destdir.patch
Patch2:         auriferous-1.0.1-extra-keys.patch
Patch3:         auriferous-1.0.1-silence-looping-warn.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  ClanLib06-devel >= ClanLib06-0.6.5-16, desktop-file-utils
Requires:       hicolor-icon-theme

%description
An arcade style like game. The goal is to fight out all gold from the caves and
go into in the door. Sounds simple, but try it. The challenge: Because some bad
blue Monks want prevent you from that, they bite of your head if the catch you,
good luck. Further the caves(levels) are often like mazes with dangers and
traps, to pass them you need a lot of skill.

Note that this game is hardcoded at a resolution of 1024x768, so if your
display cannot handle this you are out of luck.


%prep
%setup -q
%patch0 -p1 -z .fix
%patch1 -p1 -z .destdir
%patch2 -p1 -z .keys
%patch3 -p1
touch -r configure.in auriferous/Makefile.am
cp -a %{SOURCE1} auriferous/pics/game


%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
ln -s aqua.ogg $RPM_BUILD_ROOT%{_datadir}/%{name}/music/jungle.ogg

# below is the desktop file and icon stuff.
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
desktop-file-install --vendor fedora            \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  %{SOURCE2}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/16x16/apps
mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/32x32/apps
install -p -m 644 small_%{name}.png \
  $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/16x16/apps/%{name}.png
install -p -m 644 %{name}.png \
  $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/32x32/apps


%clean
rm -rf $RPM_BUILD_ROOT


%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README TODO
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/fedora-%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.png


%changelog
* Sun Nov 29 2009 Hans de Goede <hdegoede@redhat.com> 1.0.1-10
- Fix levels not loading
- Fix getting stuck at top of ladder below bar (in level 2)
- Add support for several non alpha numeric keys in key bindings dialog
- Silence ClanLib warning about sound stream looping not being implemented
- Fix crash on exit (real fix is in ClanLib06, #542178)

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Jul 15 2009 Hans de Goede <hdegoede@redhat.com> 1.0.1-8
- Fix FTBFS caused by automake input file timestamp issues (#511454)

* Fri Apr 10 2009 Hans de Goede <hdegoede@redhat.com> 1.0.1-7
- Remove non free jungle.ogg song

* Mon Feb 23 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 1.0.1-5
- Autorebuild for GCC 4.3

* Sun Aug  5 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 1.0.1-4
- Update License tag for new Licensing Guidelines compliance

* Mon Aug 28 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 1.0.1-3
- FE6 Rebuild

* Mon Jul 31 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 1.0.1-2
- Cleanup description a bit, add a note about hardcoded 1024x768 resolution.
- Add a comment about our replacing of playerr.png .

* Sat Jul 22 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 1.0.1-1
- initial Fedora Extras package
